org.jboss.netty.util

## Interface ThreadNameDeterminer

-     public interface ThreadNameDeterminer

  Overrides the thread name proposed by `ThreadRenamingRunnable`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ThreadNameDeterminer` | `CURRENT` `ThreadNameDeterminer` that rejects the proposed thread name and retains the current one.
    `static ThreadNameDeterminer` | `PROPOSED` `ThreadNameDeterminer` that accepts the proposed thread name as is.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `determineThreadName(String currentThreadName, String proposedThreadName)` Overrides the thread name proposed by `ThreadRenamingRunnable`.

- - ### Field Detail

    - #### PROPOSED

          static final ThreadNameDeterminer PROPOSED

      `ThreadNameDeterminer` that accepts the proposed thread name as is.

    - #### CURRENT

          static final ThreadNameDeterminer CURRENT

      `ThreadNameDeterminer` that rejects the proposed thread name and retains the current one.

  - ### Method Detail

    - #### determineThreadName

          String determineThreadName(String currentThreadName,
                                   String proposedThreadName)
                                     throws Exception

      Overrides the thread name proposed by `ThreadRenamingRunnable`.
      Parameters:
        `currentThreadName` - the current thread name
        `proposedThreadName` - the proposed new thread name
      Returns:
        the actual new thread name. If `null` is returned, the proposed thread name is discarded (i.e. no rename).
      Throws:
        `Exception`

Copyright © 2008-2012 The Netty Project. All Rights Reserved.